﻿Imports System.Text.RegularExpressions

Module Module1

    Sub Main()

        Dim content As String = "Testo di Essempio"

        'Controlliamo se c'è match
        If Regex.Match(content, "[aeiou]").Success Then
            Console.WriteLine("Contiene una vocale!")
        End If

        'Prendiamo tutte le corrispondenze
        Dim vocali As MatchCollection = Regex.Matches(content, "[aeiou]")
        If vocali.Count = 0 Then
            Console.WriteLine("Non contiene vocali!")
        Else
            Console.Write("Contiene vocali nelle posizioni: ")
            For Each vocale As Match In vocali
                Console.Write(vocale.Index & " ")
            Next
            Console.WriteLine()
        End If

        'Effettuiamo una semplice sostituzione
        Dim newContent As String
        newContent = Regex.Replace(content, "[aeiou]", "%VOCALE%")
        Console.WriteLine("Rimpiazziamo le vocali: " & newContent)

        'Ci serviamo dei riferimenti ai gruppi nel pattern di sostituzione
        newContent = Regex.Replace(content, "([aeiou])", "$1$1")
        Console.WriteLine("Raddoppiamo le vocali: " & newContent)

        'Usiamo i gruppi con nome
        newContent = Regex.Replace(content, "(?<vocale>[aeiou])", "(${vocale})")
        Console.WriteLine("Parentesizziamo le vocali: " & newContent)

        Console.ReadLine()
    End Sub

End Module
